import React from "react";
import Typography from "components/typography/Typography";
import { RouterLink } from "components/typography/RouterLink";
type ArticleTitleProps = {
  className?: string;
  children?: string;
  linkTo?: string;
};

export function ArticleTitle({
  className,
  children,
  linkTo = "#",
}: ArticleTitleProps) {
  return (
    <RouterLink to={linkTo}>
      <Typography fontWeightVariant="semibold" className={className}>
        {children}
      </Typography>
    </RouterLink>
  );
}

ArticleTitle.displayName = "ArticleTitle";
