import React from "react";
import BaseLayout from "components/BaseLayout";
import { SearchSection } from "components/SearchSection";
import { ColumnLayout } from "components/layouts/ThreeColumn/ColumnLayout";
import { SearchResultSection } from "components/SearchResultsSection";
import { useSearchStoreImplementation } from "searchResults/data/searchStoreImplementation";
import { useSearchViewModel } from "searchResults/controller/searchResultsViewModel";
import { Loader } from "components/Loader/Loader";
import Fiter from "components/Filters/Filter";

export const SearchResultsPage = () => {
  return (
    <BaseLayout>
      <SearchSection />
      <ColumnLayout>
        <ColumnLayout.Left>
          <div className="h-98 w-[300px]"></div>
        </ColumnLayout.Left>
        <ColumnLayout.Main>
          <SearchResultSection />
        </ColumnLayout.Main>
        <ColumnLayout.Right>
          <div className="w-[300px]"></div>
        </ColumnLayout.Right>
      </ColumnLayout>
    </BaseLayout>
  );
};
